#include <iostream>
#include <vector>
#include <tuple>

namespace {
    std::vector<std::tuple<int, int, int>> answers;
}

extern void maximize (std::vector<int>);

void answer(int i, int j, int k)
{
    answers.push_back({ i, j, k });
}

int main()
{
    std::ios::sync_with_stdio(false);
    std::cin.tie(NULL);

    int n;
    std::cin >> n;
    std::vector<int> a(n);
    for (int i = 0; i < n; i++) std::cin >> a[i];

    maximize(a);

    std::cout << answers.size() << "\n";
    for (auto it : answers) {
        int i, j, k;
        std::tie(i, j, k) = it;
        std::cout << i << " " << j << " " << k << "\n";
    }

    return 0;
}
